Subject: Load LDFLAGS passed when running configure
Author: Aniol Marti <amarti@caliu.cat>
Forwarded: https://github.com/threerings/openvpn-auth-ldap/pull/74
Last-Update: 2019-07-12
Index: openvpn-auth-ldap/platform.m4
===================================================================
--- openvpn-auth-ldap.orig/platform.m4	2019-07-12 14:05:01.463471616 +0000
+++ openvpn-auth-ldap/platform.m4	2019-07-12 14:05:26.971179834 +0000
@@ -95,9 +95,9 @@
 	    # A sensible default
 	    PLUGIN_CFLAGS="-fPIC"
 	    PLUGIN_LD="${CC} -shared"
-	    PLUGIN_LD_FLAGS=""
+	    PLUGIN_LD_FLAGS="${LDFLAGS}"
 	    PLUGIN_SUFFIX=".so"
-	    LDFLAGS="-export-dynamic"
+	    LDFLAGS="-export-dynamic ${LDFLAGS}"
 	    ;;
     esac
 
